curl --request GET \
--url https://app.apigene.ai/api/agent/get/{agent_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.apigene.ai/api/agent/get/{agent_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.apigene.ai/api/agent/get/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"instructions": "<string>",
"agent_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"display_name": "<string>",
"apis": [
"<string>"
],
"mcps": [
"<string>"
],
"context": [
"<string>"
],
"skills": [
"<string>"
],
"icon": "<string>",
"mcp_tools_settings": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Agent Get
Get a specific agent by ID.
Args: agent_id: The ID of the agent to retrieve current_user: The current authenticated user tenant: The tenant database
Returns: Agent: The agent details
Raises: HTTPException(400): If input validation fails HTTPException(404): If agent not found HTTPException(500): If database operation fails or other error occurs
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Path Parameters
Response
Successful Response
Response model for agent
Unique identifier for the agent
Name of the agent
Brief description of what the agent does
Long string with the agent instructions
Type of agent (private/public)
When the agent was created
When the agent was last updated
Email of the user who created the agent
Optional UI label shown instead of name. Null falls back to name.
64List of API names that the agent contains
List of MCP server names that the agent contains
List of context IDs that the agent contains
List of skill IDs that the agent contains
Either a URL or base64 string for the agent icon
Per-tool MCP visibility: tool name -> "enabled" or "disabled"
Show child attributes
Show child attributes
